#include <iostream>
#include <chrono>
#include <ctime>
#include <thread>
#include <unistd.h>
#include <omp.h>

// Try to avoid parallel computing if each task is really small

int main(int argc, char *argv[]) {
	
	auto c_start = std::clock();

	// #pragma omp parallel for
	for (int i = 0; i < 100000000; i++){
		int a = 0;
	}

	auto c_end = std::clock();

	std::cout << "CPU clock time: " << 1000.0 * (c_end - c_start) / CLOCKS_PER_SEC << " ms" << std::endl;
}